abuse(6)

NAME
abuse - The Abuse game, by Crack dot Com and the Abuse community.

SYNOPSIS
abuse [options]

DESCRIPTION
Abuse is a port of the classic Crack dot Com side-scroller shoot-em-up Abuse. It uses the Simple DirectMedia Layer API to draw its graphics and play sound.

Abuse has the following additional features over the original game:

Stereo sound with panning.
Runs at any colour depth from 8bpp to 32bpp.
Can use a mousewheel for changing weapons.
Scaling to any resolution.
Can use OpenGL for hardware accelerated scaling and anti-aliasing.
Customizable keys.

REQUIREMENTS
Abuse requires the following:

    SDL 1.1.6 or above.

    SDL-Mixer.

OPTIONS
The following command-line options are available:

-fullscreen
    Run Abuse in fullscreen mode.

-doublebuf
    Use double-buffering when blitting to the screen. This is slower but can reduce image tearing or other artifacts. Only use if you notice any display problems.

-mono
    Use mono sound like the original Abuse. This is faster.

-nosound
    Disable sound altogether.

-scale <arg>
    Scale the window by <arg> amount.

-gl Enable OpenGL support.

-antialias
    Enable anti-aliasing. (Only with -gl)

CONFIGURATION
Abuse can load its settings from a configuration file stored in the user's home directory. The file is located at ($HOME/.abuse/abuserc). If either the directory or the configuration file don't exist they will be created automatically with default values.

The configuration file contains various settings for adjusting how Abuse behaves. Except for key settings, most of the options have an equivalent command-line option. Lines starting with a semi-colon(;) are ignored as comments.

The following options are available:

fullscreen = 1 | 0
    Set starting in fullscreen mode 'on' or 'off'.

doublebuf = 1 | 0
    Turn double buffering 'on' or 'off'.

mono = 1 | 0
    Turn mono audio to 'on' or 'off'.

grabmouse = 1 | 0
    Set locking the mouse to the window 'on' or 'off'.

scale = <amount>
    Scale the game by the specified amount.

gl = 1 | 0
    Turn OpenGL support 'on' or 'off'.

antialias = 1 | 0
    Turn anti-aliasing 'on' or 'off'.

nosdlparachute = 1 | 0
    Turn SDL handling segfaults to either 'on' or 'off'. For debugging purposes only.

The following options are for setting the keys used in the game. Valid values are any letter of the alphabet or number. Special keys like the cursor-keys include:

    LEFT, RIGHT, UP, DOWN, CTRL_L, CTRL_R, ALT_L, ALT_R, SHIFT_L, SHIFT_R, BACKSPACE, INSERT, DELETE, PAGEUP, PAGEDOWN, TAB

left = <key>
    Move character left.

right = <key>
    Move character right.

up = <key>
    Jump or climb up ladders.

down = <key>
    Use switches, doors, teleports or climb down ladders.

fire = <key>
    Fire currently selected weapon.

weapprev = <key>
    Switch to the previous available weapon.

weapnext = <key>
    Switch to the next available weapon.

FILES
~/.abuse/abuserc - Abuse configuration file.

SEE ALSO
abuse-tool(6)

AUTHORS
Sam Hocevar <sam@hocevar.net>, Anthony Kruize <trandor@labyrinth.net.au> See also the AUTHORS file included with Abuse.